(function (root, factory) {
  if (typeof define === 'function' && define.amd)
    define(['exports', 'kotlin', 'Kotlin-DateTime-library-kotlinx-datetime-js-legacy'], factory);
  else if (typeof exports === 'object')
    factory(module.exports, require('kotlin'), require('Kotlin-DateTime-library-kotlinx-datetime-js-legacy'));
  else {
    if (typeof kotlin === 'undefined') {
      throw new Error("Error loading module 'd2v-time'. Its dependency 'kotlin' was not found. Please, check whether 'kotlin' is loaded prior to 'd2v-time'.");
    }if (typeof this['Kotlin-DateTime-library-kotlinx-datetime-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'd2v-time'. Its dependency 'Kotlin-DateTime-library-kotlinx-datetime-js-legacy' was not found. Please, check whether 'Kotlin-DateTime-library-kotlinx-datetime-js-legacy' is loaded prior to 'd2v-time'.");
    }root['d2v-time'] = factory(typeof this['d2v-time'] === 'undefined' ? {} : this['d2v-time'], kotlin, this['Kotlin-DateTime-library-kotlinx-datetime-js-legacy']);
  }
}(this, function (_, Kotlin, $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy) {
  'use strict';
  var LocalDateTime_init = $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy.kotlinx.datetime.LocalDateTime_init_ui44o2$;
  var LocalDateTime_init_0 = $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy.kotlinx.datetime.LocalDateTime_init_3msazk$;
  var Clock = $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy.kotlinx.datetime.Clock;
  var TimeZone = $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy.kotlinx.datetime.TimeZone;
  var toLocalDateTime = $module$Kotlin_DateTime_library_kotlinx_datetime_js_legacy.kotlinx.datetime.toLocalDateTime_pneqz9$;
  function date(year, month, day, hour, minute, second, millisecond) {
    if (year === void 0)
      year = 0;
    if (month === void 0)
      month = 1;
    if (day === void 0)
      day = 1;
    if (hour === void 0)
      hour = 0;
    if (minute === void 0)
      minute = 0;
    if (second === void 0)
      second = 0;
    if (millisecond === void 0)
      millisecond = 0;
    return LocalDateTime_init(year, month, day, hour, minute, second, millisecond * 1000000 | 0);
  }
  function date_0(date) {
    return LocalDateTime_init_0(date.year, date.month, date.dayOfMonth, date.hour, date.minute, date.second, date.nanosecond / 1000000 | 0);
  }
  function date_1() {
    return toLocalDateTime(Clock.System.now(), TimeZone.Companion.UTC);
  }
  function millisecond($receiver) {
    return $receiver.nanosecond / 1000000 | 0;
  }
  function second($receiver) {
    return $receiver.second;
  }
  function minute($receiver) {
    return $receiver.minute;
  }
  function hour($receiver) {
    return $receiver.hour;
  }
  function dayOfWeek($receiver) {
    return $receiver.dayOfWeek.ordinal;
  }
  function dayOfMonth($receiver) {
    return $receiver.dayOfMonth;
  }
  function dayOfYear($receiver) {
    return $receiver.dayOfYear;
  }
  function month($receiver) {
    return $receiver.monthNumber;
  }
  function year($receiver) {
    return $receiver.year;
  }
  function currentYear() {
    return date_1().year;
  }
  function currentMonth() {
    return date_1().monthNumber;
  }
  function currentDay() {
    return date_1().dayOfMonth;
  }
  function currentHour() {
    return date_1().hour;
  }
  function currentMinute() {
    return date_1().minute;
  }
  function currentSecond() {
    return date_1().second;
  }
  function isBefore($receiver, otherDate) {
    return $receiver.compareTo_11rb$(otherDate) < 0;
  }
  var package$io = _.io || (_.io = {});
  var package$data2viz = package$io.data2viz || (package$io.data2viz = {});
  var package$time = package$data2viz.time || (package$data2viz.time = {});
  package$time.date_ui44o2$ = date;
  package$time.date_v3l05m$ = date_0;
  package$time.date = date_1;
  package$time.millisecond_uchmsb$ = millisecond;
  package$time.second_uchmsb$ = second;
  package$time.minute_uchmsb$ = minute;
  package$time.hour_uchmsb$ = hour;
  package$time.dayOfWeek_uchmsb$ = dayOfWeek;
  package$time.dayOfMonth_uchmsb$ = dayOfMonth;
  package$time.dayOfYear_uchmsb$ = dayOfYear;
  package$time.month_uchmsb$ = month;
  package$time.year_uchmsb$ = year;
  package$time.currentYear = currentYear;
  package$time.currentMonth = currentMonth;
  package$time.currentDay = currentDay;
  package$time.currentHour = currentHour;
  package$time.currentMinute = currentMinute;
  package$time.currentSecond = currentSecond;
  package$time.isBefore_9m7f73$ = isBefore;
  Kotlin.defineModule('d2v-time', _);
  return _;
}));

//# sourceMappingURL=d2v-time.js.map
